require_relative '../spec_helper'

describe ANSIEscape do
  describe ".[]" do
    it "should insert an escape sequence" do
      expect(subject[:reset]).to match /\033\[([0-9;]+)m/
    end

    it "should insert the requested color" do
      expect(subject[:red]).to include '0;31'
    end
  end

  describe String do
    describe "#ansi_escape" do
      it "should call ANSIEscape.[]" do
        expect(ANSIEscape).to receive(:[]).and_return("").at_least(:twice)

        "hello world".ansi_escape :red
      end
    end
  end
end
