require_relative '../spec_helper'

describe Majic::Generator do
  before do
    allow(subject).to receive :directory
  end

  describe ".namespace" do
    it "should be in the generator namespace" do
      expect(subject.class.namespace).to eq 'generate'
    end
  end

  describe "#project" do
    it "should set a project name" do
      subject.project 'test-project'

      expect(subject.instance_variable_get(:@name)).to eq 'test-project'
    end

    it "should generate a project" do
      subject.project 'test-project'
    end
  end

  describe "#downcase_name" do
    it "should return the project name in lowercase" do
      subject.project 'TEST-PROJECT'
      
      expect(subject.downcase_name).to eq 'test-project'
    end
  end

  describe "#name" do
    it "should return the project name" do
      subject.project 'test-project'

      expect(subject.name).to eq 'test-project'
    end
  end

  describe "#user_full_name" do
    it "should return a string" do
      subject.project 'test-project'

      expect(subject.user_full_name).to be_kind_of String
    end

    it "should not be an empty string" do
      subject.project 'test-project'

      expect(subject.user_full_name).to_not be_empty
    end
  end

  describe "#user_email_address" do
    it "should return a string" do
      subject.project 'test-project'

      expect(subject.user_email_address).to be_kind_of String
    end

    it "should not be an empty string" do
      subject.project 'test-project'

      expect(subject.user_email_address).to_not be_empty
    end
  end
end
