require_relative '../spec_helper'
require 'majic/units'

describe Majic::SizeUnits do
  it "should include itself to Numeric" do
    expect(Numeric).to include Majic::SizeUnits
  end

  describe Numeric do
    describe "#bytes" do
      it "should return the same number" do
        expect(1024.bytes).to eq 1024
      end
    end

    describe "#kilobytes" do
      it "should return the number multiplied by kilobytes" do
        expect(1000.kilobytes).to eq 1000 * 1024
      end
    end

    describe "#megabytes" do
      it "should return the number multiplied by megabytes" do
        expect(1000.megabytes).to eq 1000 * 1024 ** 2
      end
    end

    describe "#gigabytes" do
      it "should return the number multiplied by gigabytes" do
        expect(1000.gigabytes).to eq 1000 * 1024 ** 3
      end
    end

    describe "#terabytes" do
      it "should return the number multiplied by terabytes" do
        expect(1000.terabytes).to eq 1000 * 1024 ** 4
      end
    end
  end

  describe "#byte" do
    it "should return the same as #bytes" do
      expect(10.byte).to eq 10.bytes
    end
  end

  describe "#megabyte" do
    it "should return the same as #megabytes" do
      expect(10.megabyte).to eq 10.megabytes
    end
  end
end
